org.springframework.web.socket.config.annotation

## Class WebSocketMessageBrokerConfigurationSupport

- java.lang.Object
- - org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration
  - - org.springframework.web.socket.config.annotation.WebSocketMessageBrokerConfigurationSupport

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

Direct Known Subclasses:
  DelegatingWebSocketMessageBrokerConfiguration

    public abstract class WebSocketMessageBrokerConfigurationSupport
    extends org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration

Extends `AbstractMessageBrokerConfiguration` and adds configuration for receiving and responding to STOMP messages from WebSocket clients.

Typically used in conjunction with `@EnableWebSocketMessageBroker` but can also be extended directly.

Since:
  4.0
Author:
  Rossen Stoyanchev, Artem Bilan

### Constructor Summary

Constructors
Constructor and Description
`WebSocketMessageBrokerConfigurationSupport()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `configureWebSocketTransport(WebSocketTransportRegistration registry)`
`protected org.springframework.messaging.simp.annotation.support.SimpAnnotationMethodMessageHandler` `createAnnotationMethodMessageHandler()`
`protected org.springframework.messaging.converter.MappingJackson2MessageConverter` `createJacksonConverter()`
`protected org.springframework.messaging.simp.user.SimpUserRegistry` `createLocalUserRegistry(Integer order)`
`protected WebSocketHandler` `decorateWebSocketHandler(WebSocketHandler handler)`
`protected WebSocketTransportRegistration` `getTransportRegistration()`
`protected abstract void` `registerStompEndpoints(StompEndpointRegistry registry)`
`org.springframework.web.servlet.HandlerMapping` `stompWebSocketHandlerMapping()`
`WebSocketHandler` `subProtocolWebSocketHandler()`
`WebSocketMessageBrokerStats` `webSocketMessageBrokerStats()`
`static org.springframework.beans.factory.config.CustomScopeConfigurer` `webSocketScopeConfigurer()`

### Methods inherited from class org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration

`addArgumentResolvers, addReturnValueHandlers, brokerChannel, brokerChannelExecutor, brokerMessageConverter, brokerMessagingTemplate, clientInboundChannel, clientInboundChannelExecutor, clientOutboundChannel, clientOutboundChannelExecutor, configureClientInboundChannel, configureClientOutboundChannel, configureMessageBroker, configureMessageConverters, createLocalUserRegistry, getApplicationContext, getBrokerRegistry, getClientInboundChannelRegistration, getClientOutboundChannelRegistration, getPathMatcher, getValidator, messageBrokerTaskScheduler, setApplicationContext, simpAnnotationMethodMessageHandler, simpleBrokerMessageHandler, simpValidator, stompBrokerRelayMessageHandler, userDestinationMessageHandler, userDestinationResolver, userRegistry, userRegistryMessageHandler`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketMessageBrokerConfigurationSupport

    public WebSocketMessageBrokerConfigurationSupport()

### Method Detail

#### createAnnotationMethodMessageHandler

    protected org.springframework.messaging.simp.annotation.support.SimpAnnotationMethodMessageHandler createAnnotationMethodMessageHandler()

Overrides:
  `createAnnotationMethodMessageHandler` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`

#### createLocalUserRegistry

    protected org.springframework.messaging.simp.user.SimpUserRegistry createLocalUserRegistry(@Nullable
                                                                                               Integer order)

Specified by:
  `createLocalUserRegistry` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`

#### stompWebSocketHandlerMapping

    @Bean
    public org.springframework.web.servlet.HandlerMapping stompWebSocketHandlerMapping()

#### subProtocolWebSocketHandler

    @Bean
    public WebSocketHandler subProtocolWebSocketHandler()

#### decorateWebSocketHandler

    protected WebSocketHandler decorateWebSocketHandler(WebSocketHandler handler)

#### getTransportRegistration

    protected final WebSocketTransportRegistration getTransportRegistration()

#### configureWebSocketTransport

    protected void configureWebSocketTransport(WebSocketTransportRegistration registry)

#### registerStompEndpoints

    protected abstract void registerStompEndpoints(StompEndpointRegistry registry)

#### webSocketScopeConfigurer

    @Bean
    public static org.springframework.beans.factory.config.CustomScopeConfigurer webSocketScopeConfigurer()

#### webSocketMessageBrokerStats

    @Bean
    public WebSocketMessageBrokerStats webSocketMessageBrokerStats()

#### createJacksonConverter

    protected org.springframework.messaging.converter.MappingJackson2MessageConverter createJacksonConverter()

Overrides:
  `createJacksonConverter` in class `org.springframework.messaging.simp.config.AbstractMessageBrokerConfiguration`